Summary: PostgreSQL client programs and libraries.
Name: postgresql
Version: 6.5.3
Release: 6
Copyright: BSD
Group: Applications/Databases
Source0: ftp://ftp.postgresql.org/pub/postgresql-%{version}.tar.gz
Source1: http://www.retep.org.uk/postgres/jdbc6.5-1.1.jar
Source2: http://www.retep.org.uk/postgres/jdbc6.5-1.2.jar
Source3: postgresql.init.%{version}
Source5: man.tar.gz
Source6: README.rpm.postgresql-%{version}
Source7: pg-migration-scripts-%{version}.tar.gz
Patch0: postgresql-%{version}-alpha.patch.gz
Patch1: rpm-pgsql-%{version}.patch
Patch2: postgresql-%{version}-armlinux.patch
Patch3: postgresql-6.5.3-sparc64.patch
Prefix: /usr
Prereq: /sbin/chkconfig /sbin/ldconfig /usr/sbin/useradd
Url: http://www.postgresql.org/ 
Obsoletes: postgresql-clients
Buildroot: /var/tmp/%{name}-root
Packager: Lamar Owen <lamar.owen@wgcr.org>
Vendor: PostgreSQL Global Development Group
Distribution: PostgreSQL RPMs

%description
PostgreSQL is an advanced Object-Relational database management system
(DBMS) that supports almost all SQL constructs (including
transactions, subselects and user-defined types and functions). The
postgresql package includes the client programs and libraries that
you'll need to access a PostgreSQL DBMS server.  These PostgreSQL
client programs are programs that directly manipulate the internal
structure of PostgreSQL databases on a PostgreSQL server. These client
programs can be located on the same machine with the PostgreSQL
server, or may be on a remote machine which accesses a PostgreSQL
server over a network connection. This package contains the client
libraries for C and C++, as well as command-line utilities for
managing PostgreSQL databases on a PostgreSQL server. 

If you want to manipulate a PostgreSQL database on a remote PostgreSQL
server, you need this package. You also need to install this package
if you're installing the postgresql-server package.

%package server
Summary: The programs needed to create and run a PostgreSQL server.
Group: Applications/Databases
Prereq: /usr/sbin/useradd
Requires: postgresql = %{version}

%description server
The postgresql-server package includes the programs needed to create
and run a PostgreSQL server, which will in turn allow you to create
and maintain PostgreSQL databases.  PostgreSQL is an advanced
Object-Relational database management system (DBMS) that supports
almost all SQL constructs (including transactions, subselects and
user-defined types and functions). You should install
postgresql-server if you want to create and maintain your own
PostgreSQL databases and/or your own PostgreSQL server. You also need
to install the postgresql and postgresql-devel packages.

%package devel
Summary: PostgreSQL development header files and libraries.
Group: Development/Libraries
Requires: postgresql = %{version}

%description devel
The postgresql-devel package contains the header files and libraries
needed to compile C or C++ applications which will directly interact
with a PostgreSQL database management server and the ecpg Embedded C
Postgres preprocessor. You need to install this package if you want to
develop applications which will interact with a PostgreSQL server. If
you're installing postgresql-server, you need to install this
package.

%package tcl
Summary: A Tcl-based GUI front end for psql and related PostgreSQL clients.
Group: Applications/Databases
Requires: tcl >= 8.0, tk >= 8.0, postgresql = %{version}

%description tcl
PostgreSQL is an advanced Object-Relational database management
system.  The postgresql-tcl package contains the pgaccess
program. Pgaccess is a graphical front end, written in Tcl, for the
psql and related PostgreSQL client programs.

%package odbc
Summary: The ODBC driver needed for accessing a PostgreSQL DB using ODBC.
Group: Applications/Databases
Requires: postgresql = %{version}

%description odbc
PostgreSQL is an advanced Object-Relational database management
system. The postgresql-odbc package includes the ODBC (Open DataBase
Connectivity) driver and sample configuration files needed for
applications to access a PostgreSQL database using ODBC.

%package perl
Summary: Development module needed for Perl code to access a PostgreSQL DB.
Group: Applications/Databases
Requires: perl >= 5.004-4, postgresql = %{version}

%description perl
PostgreSQL is an advanced Object-Relational database management
system. The postgresql-perl package includes a module for developers
to use when writing Perl code for accessing a PostgreSQL database.

%package python
Summary: Development module for Python code to access a PostgreSQL DB.
Group: Applications/Databases
Requires: python >= 1.5, postgresql = %{version}

%description python
PostgreSQL is an advanced Object-Relational database management
system.  The postgresql-python package includes a module for
developers to use when writing Python code for accessing a PostgreSQL
database.

%package jdbc
Summary: Files needed for Java programs to access a PostgreSQL database.
Group: Applications/Databases
Requires: postgresql = %{version}

%description jdbc
PostgreSQL is an advanced Object-Relational database management
system. The postgresql-jdbc package includes the .jar file needed for
Java programs to access a PostgreSQL database.

%package test
Summary: The test suite distributed with PostgreSQL.
Group: Applications/Databases
Requires: postgresql = %{version}

%description test
PostgreSQL is an advanced Object-Relational database management
system. The postgresql-test package includes the sources and pre-built
binaries of various tests for the PostgreSQL database management
system, including regression tests and benchmarks.

%prep
%setup -q 

# The alpha patches are not trivial, so wrap in ifarch-endif block

%ifarch alpha
%patch0 -p1
%endif

%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
pushd src
# XXX libtoolize dinna work
cp /usr/share/libtool/config.* .
%ifarch alpha
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	--enable-hba --enable-locale \
	--with-perl --with-mb=SQL_ASCII\
	--with-tcl --with-tk --with-x \
	--with-odbc --with-java \
	--with-python --with-template=linux_alpha
%else
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	--enable-hba --enable-locale \
	--with-perl --with-mb=SQL_ASCII\
	--with-tcl --with-tk --with-x \
	--with-odbc --with-java \
	--with-python
%endif

make all
pushd interfaces/python
cp /usr/lib/python1.5/config/Makefile.pre.in .
echo *shared* > Setup
echo _pg pgmodule.c -I../../include -I../libpq -L../libpq -lpq -lcrypt >> Setup
make -f Makefile.pre.in boot
make
popd
popd

make all PGDOCS=unpacked -C doc

pushd src/test
make all
popd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{include/pgsql,lib,bin}
mkdir -p $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/%{_arch}-linux/auto/Pg
make POSTGRESDIR=$RPM_BUILD_ROOT/usr PREFIX=$RPM_BUILD_ROOT/usr -C src install
make POSTGRESDIR=$RPM_BUILD_ROOT/usr PREFIX=$RPM_BUILD_ROOT/usr -C src/man install
make POSTGRESDIR=$RPM_BUILD_ROOT/usr PREFIX=$RPM_BUILD_ROOT/usr -C src/interfaces/perl5 install
# Get rid of the packing list generated by the perl Makefile, and build my own...
find $RPM_BUILD_ROOT/usr/lib/perl5 -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT/usr/lib/perl5 -type f -print | \
	sed -e "s|$RPM_BUILD_ROOT/|/|g"  | \
	sed -e "s|.*/man/.*|&\*|" > perlfiles.list
find $RPM_BUILD_ROOT/usr/lib/perl5 -type d -name Pg -print | \
	sed -e "s|$RPM_BUILD_ROOT/|%dir /|g" >> perlfiles.list
make -C doc
#make -C doc man
# Newer man pages from Thomas Lockhart
pushd $RPM_BUILD_ROOT/usr/man
tar xzf %{SOURCE5}
popd

# Move all includes beneath /usr/include/pgsql.
pushd $RPM_BUILD_ROOT/usr/include
rm -rf pgsql/*
for f in *.h *.H access commands executor iodbc lib libpq libpq++ port utils ; do
     mv $f pgsql
done
popd

# copy over the includes needed for SPI development.
pushd src/include
cpio -pdu $RPM_BUILD_ROOT/usr/include/pgsql <<E-O-F
access/funcindex.h
access/heapam.h
access/htup.h
access/ibit.h
access/itup.h
access/relscan.h
access/sdir.h
access/skey.h
access/strat.h
access/transam.h
access/tupdesc.h
access/tupmacs.h
access/xact.h
catalog/catname.h
catalog/pg_am.h
catalog/pg_attribute.h
catalog/pg_class.h
catalog/pg_index.h
catalog/pg_language.h
catalog/pg_proc.h
catalog/pg_type.h
executor/execdefs.h
executor/execdesc.h
executor/executor.h
executor/hashjoin.h
executor/tuptable.h
lib/fstack.h
nodes/execnodes.h
nodes/memnodes.h
nodes/nodes.h
nodes/params.h
nodes/parsenodes.h
nodes/pg_list.h
nodes/plannodes.h
nodes/primnodes.h
nodes/relation.h
parser/parse_node.h
parser/parse_type.h
rewrite/prs2lock.h
storage/block.h
storage/buf.h
storage/buf_internals.h
storage/bufmgr.h
storage/bufpage.h
storage/fd.h
storage/ipc.h
storage/item.h
storage/itemid.h
storage/itemptr.h
storage/lmgr.h
storage/lock.h
storage/off.h
storage/page.h
storage/shmem.h
storage/sinvaladt.h
storage/spin.h
tcop/dest.h
tcop/pquery.h
tcop/tcopprot.h
tcop/utility.h
utils/array.h
utils/builtins.h
utils/datetime.h
utils/datum.h
utils/dt.h
utils/fcache.h
utils/hsearch.h
utils/inet.h
utils/int8.h
utils/memutils.h
utils/nabstime.h
utils/numeric.h
utils/portal.h
utils/rel.h
utils/syscache.h
utils/tqual.h
E-O-F
# thank you, cpio....
popd

# Move all templates/examples beneath /usr/lib/pgsql
pushd $RPM_BUILD_ROOT/usr/lib
  mkdir -p pgsql
  mv *.source *.sample *.description pgsql
popd

# Get interface-specific tests and examples, and stuff under /usr/lib/pgsql
pushd src/interfaces
mkdir -p $RPM_BUILD_ROOT/usr/lib/pgsql/perl5
cp -a perl5/test.pl perl5/eg $RPM_BUILD_ROOT/usr/lib/pgsql/perl5
mkdir -p $RPM_BUILD_ROOT/usr/lib/pgsql/python
cp -a python/tutorial $RPM_BUILD_ROOT/usr/lib/pgsql/python
popd

# Get example odbcinst.ini and put in /usr/lib/pgsql
mv $RPM_BUILD_ROOT/usr/odbcinst.ini $RPM_BUILD_ROOT/usr/lib/pgsql

# pgaccess installation
pushd src/bin
install -m 755 pgaccess/pgaccess $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib/pgsql/pgaccess
install -m 644 pgaccess/main.tcl $RPM_BUILD_ROOT/usr/lib/pgsql/pgaccess
tar cf - pgaccess/lib pgaccess/images | tar xf - -C $RPM_BUILD_ROOT/usr/lib/pgsql
cp -a pgaccess/doc/html   ../../doc/pgaccess
cp    pgaccess/demo/*.sql ../../doc/pgaccess
popd

# Python
pushd src/interfaces/python
# Makefile.pre.in doesn't yet support .py files anyway, so we stick to a manual installation
  mkdir -p $RPM_BUILD_ROOT/usr/lib/python1.5/site-packages
  install -m 755 _pgmodule.so *.py $RPM_BUILD_ROOT/usr/lib/python1.5/site-packages/
popd

# Java/JDBC
# We know that JDK1.2 is pre-beta at this time, so install the JDK1.1-compatible driver
# as well as the JDK1.2 compatible driver.
# The user will have to set a CLASSPATH to find it here, but not sure where else to put it...
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/pgsql
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/pgsql

chmod 644 $RPM_BUILD_ROOT/usr/man/*/*
chmod +x $RPM_BUILD_ROOT/usr/lib/lib*.so.*
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/postgresql

# Move the PL's to the right place
mv $RPM_BUILD_ROOT/usr/lib/pl*.so $RPM_BUILD_ROOT/usr/lib/pgsql

## Removed the code for the data subpackage.

# PGDATA needs removal of group and world permissions due to pg_pwd hole.
install -d -m 700 $RPM_BUILD_ROOT/var/lib/pgsql

# tests. There are many files included here that are unnecessary, but include
# them anyway for completeness.

cp -a src/test $RPM_BUILD_ROOT/usr/lib/pgsql
install -m 0755 src/config.guess $RPM_BUILD_ROOT/usr/lib/pgsql
install -m 0755 contrib/spi/refint.so $RPM_BUILD_ROOT/usr/lib/pgsql/test/regress
install -m 0755 contrib/spi/autoinc.so $RPM_BUILD_ROOT/usr/lib/pgsql/test/regress

# Upgrade scripts and man page.
pushd $RPM_BUILD_ROOT
tar xzf %{SOURCE7}
popd

# Fix some more documentation
# no need for the OS2 client
rm -rf contrib/os2client
gzip doc/internals.ps
cp %{SOURCE6} README.rpm

# Strip 'em all
strip $RPM_BUILD_ROOT/usr/bin/* || :

%pre
# Need to make backups of some executables if an upgrade
# They will be needed to do a dump of the old version's database.
# All output redirected to /dev/null.

if [ $1 -gt 1 ]
then
   mkdir -p /usr/lib/pgsql/backup > /dev/null
   pushd /usr/bin > /dev/null
   cp -fp postmaster postgres pg_dump pg_dumpall psql /usr/lib/pgsql/backup > /dev/null
   popd > /dev/null
   pushd /usr/lib > /dev/null
   cp -fp libpq.* /usr/lib/pgsql/backup > /dev/null
   popd > /dev/null
fi

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%pre server
useradd -M -o -r -d /var/lib/pgsql -s /bin/bash \
	-c "PostgreSQL Server" -u 26 postgres >/dev/null 2>&1 || :

%post -p /sbin/ldconfig server

%preun server
if [ $1 = 0 ] ; then
	chkconfig --del postgresql
fi

%postun server
/sbin/ldconfig
if [ $1 = 0 ] ; then
	userdel postgres >/dev/null 2>&1 || : 
fi

%post -p /sbin/ldconfig odbc
%postun -p /sbin/ldconfig odbc

%post -p /sbin/ldconfig tcl
%postun -p /sbin/ldconfig tcl

%clean
rm -rf $RPM_BUILD_ROOT
rm -f perlfiles.list

%files
%defattr(-,root,root)
%doc doc/FAQ doc/FAQ_Linux doc/README* 
%doc COPYRIGHT README HISTORY doc/bug.template doc/FAQ_Linux
%doc contrib doc/unpacked/* 
%doc doc/*.ps.gz
# %doc howto
%doc README.rpm
%attr(755,root,root) /usr/lib/libpq.so*
%attr(755,root,root) /usr/lib/libecpg.so*
%attr(755,root,root) /usr/lib/libpq++.so*
/usr/bin/createdb
/usr/bin/createlang
/usr/bin/createuser
/usr/bin/destroydb
/usr/bin/destroylang
/usr/bin/destroyuser
/usr/bin/pg_dump
/usr/bin/pg_dumpall
/usr/bin/pg_id
/usr/bin/psql
/usr/bin/vacuumdb
/usr/man/man1/createdb.1*
/usr/man/man1/createlang.1*
/usr/man/man1/createuser.1*
/usr/man/man1/destroydb.1*
/usr/man/man1/destroylang.1*
/usr/man/man1/destroyuser.1*
/usr/man/man1/pg_dump.1*
/usr/man/man1/pg_dumpall.1*
/usr/man/man1/psql.1*
/usr/man/manl/*

%files server
%defattr(-,root,root)
%config /etc/rc.d/init.d/postgresql
/usr/bin/cleardbdir
/usr/bin/initdb
/usr/bin/initlocation
/usr/bin/ipcclean
/usr/bin/pg_encoding
/usr/bin/pg_passwd
/usr/bin/pg_upgrade
/usr/bin/pg_version
/usr/bin/postgres
/usr/bin/postgresql-dump
/usr/bin/postmaster
/usr/man/man1/cleardbdir.1*
/usr/man/man1/initdb.1*
/usr/man/man1/initlocation.1*
/usr/man/man1/ipcclean.1*
/usr/man/man1/pg_passwd.1*
/usr/man/man1/postgres.1*
/usr/man/man1/postmaster.1*
/usr/man/man1/pg_upgrade.1*
/usr/man/man5/pg_hba.conf.5*
/usr/man/man8/postgresql-dump.8*
/usr/lib/pgsql/global1.bki.source
/usr/lib/pgsql/global1.description
/usr/lib/pgsql/local1_template1.bki.source
/usr/lib/pgsql/local1_template1.description
/usr/lib/pgsql/pg_geqo.sample
/usr/lib/pgsql/pg_hba.conf.sample
/usr/lib/pgsql/plpgsql.so
%attr(700,postgres,postgres) %dir /usr/lib/pgsql/backup
/usr/lib/pgsql/backup/pg_dumpall_new
%attr(700,postgres,postgres) %dir /var/lib/pgsql

%files devel
%defattr(-,root,root)
/usr/include/pgsql
/usr/man/man3/*
/usr/bin/ecpg
/usr/man/man1/ecpg.1*
/usr/lib/lib*.a

%files tcl
%defattr(-,root,root)
%attr(755,root,root) /usr/lib/libpgtcl.so*
%doc doc/pgaccess/*
/usr/lib/pgsql/pgaccess
/usr/bin/pgaccess
/usr/bin/pgtclsh
/usr/bin/pgtksh
/usr/man/man1/pgaccess.1*
/usr/man/man1/pgtclsh.1*
/usr/man/man1/pgtksh.1*
/usr/lib/pgsql/pltcl.so

%files odbc
%defattr(-,root,root)
%attr(755,root,root) /usr/lib/libpsqlodbc.so*
/usr/lib/pgsql/odbcinst.ini

%files -f perlfiles.list perl
%dir /usr/lib/perl5/site_perl/%{_arch}-linux/auto
/usr/lib/pgsql/perl5

%files python
%defattr(-,root,root)
/usr/lib/python1.5/site-packages/_pgmodule.so
/usr/lib/python1.5/site-packages/*.py
/usr/lib/pgsql/python

%files jdbc
%defattr(-,root,root)
/usr/lib/pgsql/jdbc6.5-1.1.jar
/usr/lib/pgsql/jdbc6.5-1.2.jar

%files test
%defattr(-,postgres,postgres)
%attr(755,postgres,postgres)/usr/lib/pgsql/config.guess
/usr/lib/pgsql/test/*

%changelog
* Sat Feb 11 2000 Bill Nottingham <notting@redhat.com>
- add userid that does *not* conflict with the rest of the system...

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- man pages are compressed
- fix descriptions and summaries

* Thu Jan 13 2000 Jeff Johnson <jbj@redhat.com>
- one-line patch to resurrect sparc64 functionality (#7330)
- apply armlinux patch always, as the patch is trivial.

* Tue Jan  4 2000 Jeff Johnson <jbj@redhat.com>
- build for Red Hat 6.2.

* Thu Dec 23 1999 Lamar Owen <lamar.owen@wgcr.org>
- 6.5.3-3 and 6.5.3-3nl RPMs.
- --with-mb=SQL_ASCII enabled.

* Wed Dec 22 1999 Lamar Owen <lamar.owen@wgcr.org>
- SPI headers in -devel.
- Fixed libpq++.H funniness -- fully corrected in CURRENT.

* Fri Nov 26 1999 Lamar Owen <lamar.owen@wgcr.org>
- Corrected security problem of /var/lib/pgsql being mode 755.
- /usr/lib/pgsql/backup permissions also a potential hole, though not
-- as serious as the /var/lib/pgsql hole
- Removed PostgreSQL-HOWTO until further notice.  This HOWTO is worse
-- than having no documentation at all in its present form.  When it is
-- corrected for accuracy and conciseness, it will be reinstated.
- Documentation updates in README.rpm
- Corrected some misinformation in /etc/rc.d/init.d/postgresql

* Fri Nov 05 1999 Lamar Owen <lamar.owen@wgcr.org>
- Add ARMV41 support, thanks to Mark Knox <segfault@hardline.org>
- Add patches for ARMV41 -- adds a 'linux_arm' template
- Removed Excludearch for armv41

* Thu Nov 04 1999 Lamar Owen <lamar.owen@wgcr.org>
- Release 6.5.3-1
- ODBC odbcinst.ini in /usr/lib/pgsql (postgresql-odbc)
- ALPHA patchset unmodified from 6.5.2 -- tested by Ryan Kirkpatrick
- Documentation changes and additions in README.rpm

* Mon Nov 01 1999 Lamar Owen <lamar.owen@wgcr.org>
- Initial pre-6.5.3 build -- 6.5.3-0.1 -- built from REL6_5_PATCHES CVS checkout
- pgaccess no longer a separate source file -- 6.5.3 has pgaccess 0.98 fully
-- integrated
- fixed up patches -- pgaccess patch, gram.y patch, and src/interfaces/Makefile
-- perl5 -> perl patch mainlined.

* Sat Sep 25 1999 Dale Lovelace <dale@redhat.com>
- Fix init script
- fix README.rpm

* Sat Sep 25 1999 Jeff Johnson <jbj@redhat.com>
- Red Hat 6.1 release candidate.

* Fri Sep 24 1999 Jeff Johnson <jbj@redhat.com>
- apply arithmetic operator patch to gram.y.

* Wed Sep 22 1999 Jeff Johnson <jbj@redhat.com>
- merge postgresql-6.5.2-0.2lo changes.
- Note: the postgresql description refers to postgresql-data but that can't be
  changed until after 6.1 ships.

* Tue Sep 21 1999 Jeff Johnson <jbj@redhat.com>
- merge postgresql-6.5.1-0.7lo changes. Thanks Lamar!
- use uid = 40 for user postgres (will affect new installs only).
- postgresql-server needs prereq on /usr/sbin/useradd.

* Mon Sep 20 1999 Lamar Owen <lamar.owen@wgcr.org>
- 6.5.2-0.2lo
- Upgrade to 6.5.2
- Add some versioning to the init script -- source is postgresql.init.VERSION
- Added some intelligence to init script
- Cleaned up the migration script packaging -- now in a tarball
- Consolidated some patches
- Added the JDK 1.2 JDBC jar to the existing JDK1.1 jar.

* Sat Sep 18 1999 Lamar Owen <lamar.owen@wgcr.org>
- 0.7lo
- First stab at integrating modified versions of the Debian migration scripts.
-- Courtesy Oliver Elphick, Debian package maintainer, PostgreSQL Global
-- Development Group.
- /usr/lib/pgsql/backup/pg_dumpall_new -- a modifed pg_dumpall used in the
-- migration -- modified to work with the older executables.
- /usr/bin/postgresql_dump -- the migration script.
- Upgrade strategy:
--	1.)  %pre for main package saves old package's executables
--	2.)  the postgresql init script in -server detects PGDATA existence
--	     and version, notifies user if upgrade is necessary
--	3.)  Rather than fully automating upgrade, the tools are provided:
--	     a.)  /usr/bin/postgresql_dump
--	     b.)  /usr/lib/pgsql/backup/pg_dumpall_new
--	     c.)  The executables backed up by %pre in /usr/lib/pgsql/backup
--	4.)  Documentation on RPM differences and upgrades in README.rpm
--	5.)  A fully automatic upgrade can be facilitated by some more code
--	     in /etc/rc.d/init.d/postgresql, if desired.
- added documentation for rpm setup, and upgrade (README.rpm)
- added newer man pages from Thomas Lockhart
- Put the PL's in the right place -- /usr/lib/pgsql, not /usr/lib.  My error.
- Added Requires: postgresql = %{version} for all sub packages.
- Need to reorganize sources in next release, as the current number of source
-- files is a little large.

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- upgraded pgaccess to the latest 0.98 stable version
- fix braindead pgaccess installation and add pgaccess dosucmenattaion to
  the package containing pgaccess rather than main package
- add missing templates tp the /usr/lib/pgsql directory
- added back the PostgreSQL howto (I wish people will STOP removing
  documentation from this package!)
- get rid of the perl handling overkill (what the hell was that needed for?)
- "chkconfig --del" should be done in the server package, not the main
  package
- make server packeg own only /etc/rc.d/init.d/postgresql, not the whole
  /etc/rc.d (doh!)
- don't ship OS2 executable client as documenatation...
- if we have a -tcl subpackage, make sure that other packages don't need tcl
  anymore by moving tcl-dependent binaries in the -tcl package... [pltcl.so]
- if we are using /sbin/chkconfig we don't need the /etc/rc.d/rc?.d symlinks

* Sat Sep  4 1999 Jeff Johnson <jbj@redhat.com>
- use _arch not (unknown!) buildarch macro (#4913).

* Fri Aug 20 1999 Jeff Johnson <jbj@redhat.com>
- obsolete postgres-clients (not conflicts).

* Thu Aug 19 1999 Jeff Johnson <jbj@redhat.com>
- add to Red Hat 6.1.

* Wed Aug 11 1999 Lamar Owen <lamar.owen@wgcr.org>
- Release 3lo
- Picked up pgaccess README.
- Built patch set for rpm versus tarball idiosyncrasies:
-- munged some paths in the regression tests (_OBJWD_), trigger functions
-- munged USER for regression tests.
-- Added perl and python examples -- required patching the shebang to drop
-- local in /usr/local/bin 
- Changed rc.d level from S99 to S75, as there are a few server daemons that
-- might actually need to load AFTER pgsql -- AOLserver is an example.
- config.guess included in server package by default -- used by regress tests.
- Preliminary test subpackage, containing entire src/test tree.
- Prebuild of binaries in the test subpackage.
- Added pgaccess-0.97 beta as /usr/bin/pgaccess97 for testing
- Removed the DATABASE-HOWTO; it was SO old, and the newer release of it
-- is a stock part of the RedHat HOWTOS package.
- Put in the RIGHT postgresql.init ('/etc/rc.d/init.d/postgresql')
- Noted that the perl client is operational.

* Fri Aug 6 1999 Lamar Owen <lamar.owen@wgcr.org>
- Release 2lo
- Added alpha patches courtesy Ryan Kirkpatrick and Uncle George
- Renamed lamar owen series of RPMS with release of #lo
- Put Ramifordistat as vendor and URL for lamar owen RPM series, until non-beta
-- release coordinated with PGDG.

* Mon Jul 19 1999 Lamar Owen <lamar.owen@wgcr.org>
- Correct some file misappropriations:
-- /usr/lib/pgsql was in wrong package
-- createlang, destroylang, and vacuumdb now in main package
-- ipcclean now in server subpackage
-- The static libraries are now in the devel subpackage
-- /usr/lib/plpgsql.so and /usr/lib/pltcl.so now in server 
- Cleaned up some historical artifacts for readability -- left references
-  to these artifacts in the changelog

* Sat Jun 19 1999 Thomas Lockhart <lockhart@alumni.caltech.edu>
- deprecate clients rpm, and define a server rpm for the backend
- version 6.5
- updated pgaccess to version 0.96
- build ODBC interface library
- split tcl and ODBC packages into separate binary rpms

* Sat Apr 17 1999 Jeff Johnson <jbj@redhat.com>
- exclude alpha for Red Hat 6.0.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Wed Feb 03 1999 Cristian Gafton <gafton@redhat.com>
- version 6.4.2
- get rid of the -data package (shipping it was a BAD idea)

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip all binaries
- use defattr in all packages
- updated pgaccess to version 0.90
- /var/lib/pgsql/pg_pwd should not be 666

* Sun Jun 21 1998 Jeff Johnson <jbj@redhat.com>
- create /usr/lib/pgsql (like /usr/include/pgsql)
- resurrect libpq++.so*
- fix name problem in startup-script (problem #533)

* Fri Jun 19 1998 Jeff Johnson <jbj@redhat.com>
- configure had "--prefix=$RPM_BUILD_ROOT/usr"
- move all include files below /usr/include/pgsql.
- resurrect perl client file lists.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue May 05 1998 Cristian Gafton <gafton@redhat.com>
- build on alpha

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscript

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- finally v6.3.2 is here !

* Wed Apr 15 1998 Cristian Gafton <gafton@redhat.com>
- added the include files in the devel package

* Wed Apr 01 1998 Cristian Gafton <gafton@redhat.com>
- finally managed to get a patch for 6.3.1 to make it install corectly. Boy,
  what a mess ! ;-(

* Tue Mar 03 1998 Cristian Gafton <gafton@redhat.com>
- upgraded tp 6.3 release

* Sat Feb 28 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to the latest snapshot
- splitted yet one more subpackage: clients

* Tue Jan 20 1998 Cristian Gafton <gafton@redhat.com>
- the installed devel-library is no longer stripped (duh!)
- added the 7 patches found on the ftp.postgresql.org site
- corrected the -rh patch to patch configure.in rather than configure; we
  now use autoconf
- added a patch to fix the broken psort function
- build TCL and C++ libraries as well
- updated pgaccess to version 0.76

* Thu Oct 23 1997 Cristian Gafton <gafton@redhat.com>
- cleaned up the spec file for version 6.2.1
- splited devel subpackage
- added chkconfig support in %preun and %post
- added optional data package

* Mon Oct 13 1997 Elliot Lee <sopwith@cuc.edu> 6.2-3
- Fixed lots of bung-ups in the spec file, made it FSSTND compliant, etc.
- Removed jdbc package, jdk isn't stable yet as far as what goes where.
- Updated to v 6.2.1

* Thu Oct  9 1997 10:58:14 dan
- on pre-installation script now the `data' dir is renamed to
  `data.rpmorig' (no more wild deletions!).
- added `postgresql-jdbc' sub-package.
- postgresql.sh script: defined function `add_to_path()' and
  changed the location of postgresql.jar in the CLASSPATH.

* Sat Oct  4 1997 10:27:43 dan
- updated to version 6.2.
- added auto installation's scripts (pre, post, preun, postun)
